import 'package:cheminova/screens/home_screen.dart';
import 'package:cheminova/widgets/common_background.dart';
import 'package:flutter/material.dart';

// Screen displayed after successful verification
class VerifySuccessFullScreen extends StatefulWidget {
  const VerifySuccessFullScreen({super.key});

  @override
  State<VerifySuccessFullScreen> createState() => _VerifySuccessFullScreenState();
}

class _VerifySuccessFullScreenState extends State<VerifySuccessFullScreen> {
  @override
  void initState() {
    super.initState();
    // Navigate to the home screen after a delay of 2 seconds
    Future.delayed(const Duration(seconds: 2), () {
      Navigator.pushReplacement(
          context, MaterialPageRoute(builder: (context) => const HomePage()));
    });
  }

  @override
  Widget build(BuildContext context) {
    // Build the verification success screen
    return Scaffold(
      body: CommonBackground(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              // Display success message
              const Text(
                'Verification successful',
                style: TextStyle(
                  fontSize: 36,
                  color: Colors.white,
                  fontWeight: FontWeight.w400,
                  fontFamily: 'Anek',
                ),
              ),
              const SizedBox(height: 20), // Add space between the text and the image
              // Display check circle image
              Image.asset('assets/check_circle.png'),
            ],
          ),
        ),
      ),
    );
  }
}
